% example with test of legends in separate figure

clear all
close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh2d('condenser11',20,'force',true);                    

Th=siMesh(meshfile);
figure(1);
Th.plot('legend',true);
set(legend(),'Location','NorthWestOutside')
axis off;axis image
figure(2)
Th.plot('color',[0.85,0.85,0.85])
hold on
Th.plot('d',1,'Linewidth',2,'legend',true);
set(legend(),'Location','NorthEastOutside')
axis off;axis image

figure(3)
[h1,leg1]=Th.plot();
hold on
[h2,leg2]=Th.plot('d',1,'Linewidth',2);
%columnlegend(3,[h1,h2],{leg1{:},leg2{:}},'Location','northwest');
axis off;axis image

figure(4)
ax1=subplot(1,2,1,'visible','off');
legend(ax1,h1,leg1)
ax2=subplot(1,2,2,'visible','off');
fc_tools.graphics.ColumnLegend(3,h2,leg2);
