clear all
close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh2d('condenser11',20,'check',true,'force',true,'verbose',4);                    

Th=siMesh(meshfile);
figure(1);
Th.plot('legend',true)
set(legend(),'Location','NorthEastOutside')
figure(2)
Th.plot('color',[0.85,0.85,0.85])
hold on
Th.plot('d',1,'Linewidth',2,'legend',true);
set(legend(),'Location','NorthEastOutside')
